[PATHS]
# The PATHS section is special, as filenames including $-expression are
# expanded using the values from PATHS or the system environment (PATHS
# is checked first).  GNUnet also supports expanding $-expressions using
# defaults with the syntax "${VAR:-default}".  Here, "default" can again
# be a $-expression.
#
# We usually want $HOME for $GNUNET_HOME, but we allow testcases to
# easily override this by setting $GNUNET_TEST_HOME.
#
GNUNET_HOME = ${GNUNET_TEST_HOME:-${HOME:-${USERPROFILE}}}

# see XDG Base Directory Specification at
# http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
# for how these should be used.

# Persistant data storage
GNUNET_DATA_HOME = ${XDG_DATA_HOME:-$GNUNET_HOME/.local/share}/gnunet/

# Configuration files
GNUNET_CONFIG_HOME = ${XDG_CONFIG_HOME:-$GNUNET_HOME/.config}/gnunet/

# Cached data, no big deal if lost
GNUNET_CACHE_HOME = ${XDG_CACHE_HOME:-$GNUNET_HOME/.cache}/gnunet/

# Runtime data (i.e UNIX domain sockets, locks, always lost on system boot)
# This is the variable for system-wide services; use GNUNET_USER_RUNTIME_DIR
# for per-user services (where RUN_PER_USER=YES is set)
# Note that the 'gnunet'/system user must have $TMPDIR/$TMP set to
# exactly the same values as 'normal' users, otherwise this will fail.
# If $TMPDIR or $TMP are set to different directories for different
# users, this option should be changed to point to the same directory
# for all users (i.e. by simply using "/tmp/gnunet-system-runtime/").
GNUNET_RUNTIME_DIR = ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/

# Runtime data for per-user services
GNUNET_USER_RUNTIME_DIR = ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/

# Directory to use for temporary files.
GNUNET_TMP = ${TMPDIR:-${TMP:-/tmp}}/gnunet/


# Override for GNUNET_HOME used by test cases.
# GNUNET_TEST_HOME = /tmp/foo/bar

# DEFAULTCONFIG = /etc/gnunet.conf
# If 'DEFAULTCONFIG' is not defined, the current
# configuration file is assumed to be the default,
# which is what we want by default...

# Location of binaries requiring setuid or setgid flags, e.g. gnunet-helper-vpn.
# By default it is assumed to be in the libexec directory, but on some systems
# like NixOS setuid / setgid is only possible through a wrapper in a specific
# location.
# SUID_BINARY_PATH =


[PEER]
# Where do we store our private key?
PRIVATE_KEY = $GNUNET_DATA_HOME/private_key.ecc

# What kind of system are we on? Choices are
# INFRASTRUCTURE (always-on, grid, data center)
# DESKTOP (sometimes-on, grid, office)
# NOTEBOOK (sometimes-on, mobile, often limited network,
#           if on-battery than large battery)
# MOBILE (sometimes-on, mobile, always limited network,
#           always battery limited)
# UNKNOWN (not configured/specified/known)
SYSTEM_TYPE = UNKNOWN

[TESTING]
SPEEDUP_INTERVAL = 0 ms
SPEEDUP_DELTA = 0 ms
# This following option is applicable to LINUX.  Enabling this option causes all
# UNIX domain sockets to be opened as abstract sockets.  Note that the
# filesystem level restrictions no longer apply for abstract sockets.  An
# end-user should not modify this option.
USE_ABSTRACT_SOCKETS = NO
